Impala Support Matrix

This matrix shows the interoperability between Impala and other ecosystem products.

This page shows the versions of Impala that work with various versions of other ecosystem products and it applies to MapR versions 5.1 and below. For more recent versions of MapR, see the MEP Components and OS Support.

Note: Impala 2.2.0 is supported on MapR 5.x. Impala 2.5.0 is supported on MapR 5.1 and later.
Product Product Version Impala 1.1.1 Impala 1.2.3 Impala 1.4.1 Impala 2.2.0 Impala 2.5.0
OS RHEL/CentOS6.x, Ubuntu 12 only RHEL/CentOS6.x, Ubuntu 12 only RHEL/CentOS6.x, Ubuntu 12 only RHEL/CentOS 6.5, 6.6, 7.0,7.1 only (no Ubuntu, no SuSe) RHEL/CentOS 6.5, 6.6, 6.7, 6.8, 7.0, 7.1 only (no Ubuntu, no SuSe)
Hive 12 Yes Yes No No No
13 No No Yes No No
1.2 No No No Yes Yes
Hue 2.5 No No No No No
3.5 No No No No No
3.6 No No Yes No No
3.7 No No Yes No No
3.8.1 No No Yes No No
3.9.0 No No Yes Yes Yes
Sentry 1.4 No No Yes No No
1.6 No No No Yes Yes
HBase No No 0.98 only 0.98.12, 1.1 1.1.x

Change Control Notes

  • This matrix was last updated on July 7, 2016 (Impala 2.5.0).
  • This matrix was last updated on February 29, 2016 (Impala 2.2.0).
  • This matrix was last updated on September 25, 2015 (Hive 1.2.1).
  • This matrix was updated on August 4, 2015 (Hue 3.8.1).